[B041] Target analysis

get
https://connect.patsnap.com/synapse/target/analysis
Try in Sandbox

Obtain Target analysis about organization, disease, drug type etc.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
target_id
Required
string9786d32e3d244a688ec6a60d2fe1b10b
Target ID, obtain this through the target autocomplete interface
type
Required
stringORGANIZATION
Analysis type, enum: ORGANIZATION、DISEASE、DRUG_TYPE
roll_up
Required
booleantrue
Should the aggregation start from the headquarters as the root node? true - yes, false - no. The default is true

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
disease
array[ { "id": "524236920ce94d7d831f0ac59bcacae8", "phase": [ { "dev_status": { "display_name": [ { "lang": "EN", "name": "Approved" }, { "lang": "CN", "name": "批准上市" } ], "normalized_id": "efd6215835394b07b046125e3175d3fe" }, "drug_count": 7 } ], "display_name": [ { "lang": "EN", "name": "Hodgkin's Lymphoma" }, { "lang": "CN", "name": "霍奇金淋巴瘤" } ] } ]
Disease, Referencing "AnalysisDto"
id
stringb4c624212749f84e83429c5a8673c692
ID
phase
array[ { "dev_status": { "display_name": [ { "lang": "EN", "name": "Pending" }, { "lang": "CN", "name": "无进展" } ], "normalized_id": "4d95bf5fb0c340fbb38cda626c1c9c60" }, "drug_count": 10 } ]
Phase, Referencing "PhaseDto"
dev_status
object{ "display_name": [ { "lang": "EN", "name": "Pending" }, { "lang": "CN", "name": "无进展" } ], "normalized_id": "4d95bf5fb0c340fbb38cda626c1c9c60" }
Dev Status
display_name
array[ { "lang": "EN", "name": "Autologous CAR-T" }, { "lang": "CN", "name": "自体CAR-T" } ]
Dict Name
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
normalized_id
string2fbfdb3e92d942c48cbb0adb79f23526
Dict ID
drug_count
integer<int64>10
Drug Count
display_name
array[ { "lang": "EN", "name": "Roche Holding AG" }, { "lang": "CN", "name": "罗氏" } ]
Name, Referencing "CommonName"
drug_type
array[ { "id": "c38eb408d6b842f487d6a27484156633", "phase": [ { "dev_status": { "display_name": [ { "lang": "EN", "name": "Approved" }, { "lang": "CN", "name": "批准上市" } ], "normalized_id": "efd6215835394b07b046125e3175d3fe" }, "drug_count": 14 } ], "display_name": [ { "lang": "EN", "name": "Monoclonal antibody" }, { "lang": "CN", "name": "单克隆抗体" } ] } ]
Drug Type, Referencing "AnalysisDto"
organization
array[ { "id": "391046f8744a1cde275e09de08b483f3", "phase": [ { "dev_status": { "display_name": [ { "lang": "EN", "name": "Approved" }, { "lang": "CN", "name": "批准上市" } ], "normalized_id": "efd6215835394b07b046125e3175d3fe" }, "drug_count": 2 } ], "display_name": [ { "lang": "EN", "name": "Akeso Biopharma Co., Ltd." }, { "lang": "CN", "name": "中山康方生物医药有限公司" } ] } ]
Organization, Referencing "AnalysisDto"
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "disease": [
      {
        "id": "b4c624212749f84e83429c5a8673c692",
        "phase": [
          {
            "dev_status": {
              "display_name": [
                {
                  "lang": "EN",
                  "name": "Ranibizumab (Genentech)"
                }
              ],
              "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
            },
            "drug_count": 10
          }
        ],
        "display_name": [
          {
            "lang": "EN",
            "name": "Ranibizumab (Genentech)"
          }
        ]
      }
    ],
    "drug_type": [
      {
        "id": "b4c624212749f84e83429c5a8673c692",
        "phase": [
          {
            "dev_status": {
              "display_name": [
                {
                  "lang": "EN",
                  "name": "Ranibizumab (Genentech)"
                }
              ],
              "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
            },
            "drug_count": 10
          }
        ],
        "display_name": [
          {
            "lang": "EN",
            "name": "Ranibizumab (Genentech)"
          }
        ]
      }
    ],
    "organization": [
      {
        "id": "b4c624212749f84e83429c5a8673c692",
        "phase": [
          {
            "dev_status": {
              "display_name": [
                {
                  "lang": "EN",
                  "name": "Ranibizumab (Genentech)"
                }
              ],
              "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
            },
            "drug_count": 10
          }
        ],
        "display_name": [
          {
            "lang": "EN",
            "name": "Ranibizumab (Genentech)"
          }
        ]
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms